def average_cell_types(singlecells):
    
    avg = {}
    for patId, cells in singlecells.items():
        for c in cells:
            if c not in avg:
                avg[c] = 0
            avg[c] += 1
            
    for ct in avg.keys():
        avg[ct] = avg[ct]/len(singlecells)
        
    return avg


singlecells = {
    "patient0":["B-Cell", "B-Cell", "T-Cell", "Neutrophils"],
    "patient1":["T-Cell", "T-Cell", "Neutrophils"],
    "patient2":["B-Cell", "Neutrophils", "Cytokines"],
    "patient3":["B-Cell", "B-Cell", "Cytokines"]}

print(average_cell_types(singlecells))
# {'B-Cell': 1.25, 'T-Cell': 0.75, 'Neutrophils': 0.75, 'Cytokines': 0.5}
